<?php include_once( "../../spider.inc.php" ); ?>
{charset:UTF-8}
<?php header( 'Content-type: text/plain;charset=UTF-8' ); ?>
/**
 * カテゴリを追加する関数
 */
function shopping_add_category() {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/category/form.php';
}
/**
 * カテゴリを編集する関数
 */
function modify_category( num ) {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/category/form.php?'
		+ '&shpcn=' + num;
}
/**
 * カテゴリを削除する関数
 */
function delete_category( num ) {
	if( num ) {
		window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/category/delete/confirm.php?'
			+ '&shpcn=' + num;
	} else {
		alert('削除するカテゴリを指定してください。');
	}
}
/**
 * {write:SHOPPING_LABEL_PRODUCT}を追加する関数
 */
function shopping_add_product() {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/product/form.php';
}
/**
 * {write:SHOPPING_LABEL_PRODUCT}を閲覧する関数
 */
function shopping_view_product( num ) {
	if( num ) {
		window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/product/detail.php?'
			+ '&shpdn=' + num;
	} else {
		alert('編集する{write:SHOPPING_LABEL_PRODUCT}名を指定してください。');
	}
}
/**
 * {write:SHOPPING_LABEL_PRODUCT}を編集する関数
 */
function shopping_modify_product( num ) {
	if( num ) {
		window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/product/form.php?'
			+ '&shpdn=' + num;
	} else {
		alert('編集する{write:SHOPPING_LABEL_PRODUCT}名を指定してください。');
	}
}
/**
 * {write:SHOPPING_LABEL_PRODUCT}を削除する関数
 */
function shopping_delete_product( num ) {
	if( num ) {
		window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/product/delete/confirm.php?'
			+ '&shpdn=' + num;
	} else {
		alert('削除する{write:SHOPPING_LABEL_PRODUCT}名を指定してください。');
	}
}
/**
 * {write:SHOPPING_LABEL_PRODUCT}の状態を変更する関数
 */
function change_status_product( num ) {
	if( num ) {
		window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/product/status/form.php?'
			+'&shpdn='+ num;
	} else {
		alert('状態を変更する{write:SHOPPING_LABEL_PRODUCT}名を指定してください。');
	}
}
/**
 * {write:SHOPPING_LABEL_PRODUCT}をアップロードする関数
 */
function shopping_upload_data() {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/upload/form.php';
}
/**
 * {write:SHOPPING_LABEL_PRODUCT}販売単位を追加する関数
 */
function shoppingProductUnitAdd(productId) {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/product/unit/form.php?'
		+'&shpdi='+productId;
}
/**
 * {write:SHOPPING_LABEL_PRODUCT}販売単位を詳細表示する関数
 */
function shoppingProductUnitDetail(unitNumber) {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/product/unit/detail.php?'
		+'&shpun='+unitNumber;
}
/**
 * {write:SHOPPING_LABEL_PRODUCT}販売単位を編集する関数
 */
function shoppingProductUnitModify(unitNumber) {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/product/unit/form.php?'
		+ '&shpun=' + unitNumber;
}
/**
 * {write:SHOPPING_LABEL_PRODUCT}販売単位の状態を変更する関数
 */
function changeStatusProductUnit( num ) {
	if( num ) {
		window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/product/unit/status/form.php?'
			+ '&shpun=' + num;
	} else {
		alert('状態を変更する{write:SHOPPING_LABEL_PRODUCT}販売単位を指定してください。');
	}
}

/**
 * {write:SHOPPING_LABEL_ORDER}情報の詳細を表示する関数
 */
function shoppingOrderViewDetail(orderNumber) {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/order/detail.php?'
		+ '&shpon=' + orderNumber;
}


/**
 * プロモーションを詳細表示する関数
 */
function shoppingPromotionViewDetail(promotionNumber) {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/promotion/detail.php?'
		+ '&shppn=' + promotionNumber;
}
/**
 * プロモーションを追加する関数
 */
function shoppingPromotionAdd() {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/promotion/form.php';
}
/**
 * プロモーション情報変更する関数
 */
function shoppingPromotionModify(promotionNumber) {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/promotion/form.php?'
		+ '&shppn=' + promotionNumber;
}
/**
 * {write:SHOPPING_LABEL_ORDER}を追加する関数
 */
function shopping_add_order() {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/order/order/purchaser.php';
}

/**
 * フラグを追加する関数
 */
function shopping_add_flag() {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/flag/form.php';
}
/**
 * フラグを編集する関数
 */
function modify_flag( num ) {
	window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/flag/form.php?'
		+ '&shpfn=' + num;
}
/**
 * フラグを削除する関数
 */
function delete_flag( num ) {
	if( num ) {
		window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/shopping/flag/delete/confirm.php?'
			+ '&shpfn=' + num;
	} else {
		alert('削除するフラグを指定してください。');
	}
}
